Bug 972335 - Huawei E3276: Failed to find primary port
Huawei E3276: Failed to find primary port
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
23
Unspecified All
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 11:18 EDT by marek k
Modified: 2016-04-05 12:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: ModemManager-1.4.14-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:51:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modem-manager log after attempting (unsuccesfully) to connect the device (7.24 KB, text/x-log)
2013-09-10 06:49 EDT, Theodore Lee
no flags Details
how the network applet looks like in fedora 20 (22.93 KB, image/png)
2014-02-10 15:58 EST, Joost Ringoot
no flags Details
How the active Mobile data modem looks like under ubuntu 13.10 (Same machine) (48.57 KB, image/png)
2014-02-10 15:59 EST, Joost Ringoot
no flags Details

  None (edit)
Description marek k 2013-06-08 11:18:58 EDT
Huawei E3276 dongle not working on my fedora18 

Despite the fact that, the device is visible as /dev/ttyUSB0 and created is interfeis wwan0, network mnanager not see the modem and I can't configure modem to work.

Log from /var/log/messages

Jun  8 14:51:55 localhost kernel: [ 2891.831043] usb 1-1: new high-speed USB device number 7 using ehci-pci
Jun  8 14:51:55 localhost kernel: [ 2891.969784] usb 1-1: New USB device found, idVendor=12d1, idProduct=14fe
Jun  8 14:51:55 localhost kernel: [ 2891.969794] usb 1-1: New USB device strings: Mfr=2, Product=1, SerialNumber=0
Jun  8 14:51:55 localhost kernel: [ 2891.969798] usb 1-1: Product: HUAWEI Mobile
Jun  8 14:51:55 localhost kernel: [ 2891.969802] usb 1-1: Manufacturer: HUAWEI Technology
[....]
un  8 14:51:56 localhost kernel: [ 2892.597041] usb 1-1: new high-speed USB device number 8 using ehci-pci
Jun  8 14:51:56 localhost kernel: [ 2892.752133] usb 1-1: New USB device found, idVendor=12d1, idProduct=1506
Jun  8 14:51:56 localhost kernel: [ 2892.752143] usb 1-1: New USB device strings: Mfr=2, Product=1, SerialNumber=0
Jun  8 14:51:56 localhost kernel: [ 2892.752148] usb 1-1: Product: HUAWEI Mobile
Jun  8 14:51:56 localhost kernel: [ 2892.752151] usb 1-1: Manufacturer: HUAWEI Technology
Jun  8 14:51:56 localhost kernel: [ 2892.755191] option 1-1:1.0: GSM modem (1-port) converter detected
Jun  8 14:51:56 localhost kernel: [ 2892.755350] usb 1-1: GSM modem (1-port) converter now attached to ttyUSB0
Jun  8 14:51:56 localhost kernel: [ 2892.755531] option 1-1:1.1: GSM modem (1-port) converter detected
Jun  8 14:51:56 localhost kernel: [ 2892.755651] usb 1-1: GSM modem (1-port) converter now attached to ttyUSB1
[...]
Jun  8 14:51:56 localhost kernel: [ 2893.032034] option1 ttyUSB1: option_instat_callback: error -108
Jun  8 14:51:56 localhost kernel: [ 2893.032269] option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
Jun  8 14:51:56 localhost kernel: [ 2893.032297] option 1-1:1.1: device disconnected
[...]
Jun  8 14:51:56 localhost dbus-daemon[570]: modem-manager[790]: <info>  (ttyUSB0) opening serial port...
Jun  8 14:51:56 localhost modem-manager[790]: <info>  (ttyUSB0) opening serial port...
Jun  8 14:51:56 localhost dbus-daemon[570]: modem-manager[790]: <warn>  (ttyUSB0): port attributes not fully set
Jun  8 14:51:56 localhost modem-manager[790]: <warn>  (ttyUSB0): port attributes not fully set
[...]
Jun  8 14:51:59 localhost HWActivator: HW load_for_dynamic_pid start
Jun  8 14:51:59 localhost HWActivator: load_for_dynamic_pid is called start
Jun  8 14:51:59 localhost kernel: [ 2895.661197] option 1-1:1.1: GSM modem (1-port) converter detected
Jun  8 14:51:59 localhost kernel: [ 2895.665141] usb 1-1: GSM modem (1-port) converter now attached to ttyUSB1
Jun  8 14:51:59 localhost HWActivator: load_for_dynamic_pid is called end
Jun  8 14:51:59 localhost HWActivator: HW load_for_dynamic_pid end
Jun  8 14:51:59 localhost HWActivator: fxz:The path=/usr/local/Mobile_Partner/config/autorun/config
Jun  8 14:51:59 localhost HWActivator: Open config file failed, asume the autorun is activated
Jun  8 14:51:59 localhost HWActivator: start MobilePartner, the dashboard is .bin
Jun  8 14:51:59 localhost HWActivator: Daemon already running
Jun  8 14:51:59 localhost kernel: [ 2895.788030] option1 ttyUSB1: option_instat_callback: error -108
Jun  8 14:51:59 localhost kernel: [ 2895.788274] option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
Jun  8 14:51:59 localhost kernel: [ 2895.788303] option 1-1:1.1: device disconnected
Jun  8 14:51:59 localhost HWActivator: Daemon already running
Jun  8 14:52:00 localhost HWActivator: Daemon already running
Jun  8 14:52:00 localhost udisksd[1714]: Mounted /dev/sr2 at /run/media/tygryski/Mobile Partner on behalf of uid 1000
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: <info>  (ttyUSB0) closing serial port...
Jun  8 14:52:10 localhost modem-manager[790]: <info>  (ttyUSB0) closing serial port...
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: <info>  (ttyUSB0) serial port closed
Jun  8 14:52:10 localhost modem-manager[790]: <info>  (ttyUSB0) serial port closed
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: <info>  (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:10.3/usb1/1-1 claimed port ttyUSB0
Jun  8 14:52:10 localhost modem-manager[790]: <info>  (Huawei): GSM modem /sys/devices/pci0000:00/0000:00:10.3/usb1/1-1 claimed port ttyUSB0
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: <error> Failed to organize modem ports: (0) Failed to find primary port.
Jun  8 14:52:10 localhost modem-manager[790]: <error> Failed to organize modem ports: (0) Failed to find primary port.
Jun  8 14:52:10 localhost modem-manager[790]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jun  8 14:52:10 localhost modem-manager[790]: failed to marshal parameter 1 for signal DeviceRemoved
Jun  8 14:52:10 localhost dbus-daemon[570]: (modem-manager:790): GLib-CRITICAL **: g_variant_is_object_path: assertion `string != NULL' failed
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: marshal_object: assertion `g_variant_is_object_path (path)' failed
Jun  8 14:52:10 localhost dbus-daemon[570]: modem-manager[790]: failed to marshal parameter 1 for signal DeviceRemoved
Jun  8 14:53:40 localhost NetworkManager[764]: <info> enable requested (sleeping: no  enabled: no)
Jun  8 14:53:40 localhost NetworkManager[764]: <info> waking up and re-enabling...
Jun  8 14:53:40 localhost NetworkManager[764]: <info> (wlan1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2] 

Log from dmesg

when I disconnect modem from USB port................

[ 9591.980056] usb 1-6: USB disconnect, device number 4
[ 9591.980352] option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
[ 9591.980388] option 1-6:1.0: device disconnected
[ 9591.982317] cdc_ncm 1-6:1.1 wwan0: unregister 'cdc_ncm' usb-0000:00:10.3-6, Mobile Broadband Network Device
[ 9593.758711] usbserial: USB Serial deregistering driver GSM modem (1-port)

When I connect modem to usb port................
[ 9593.758807] usbcore: deregistering interface driver option
[ 9593.951875] usbcore: registered new interface driver option
[ 9593.952561] usbserial: USB Serial support registered for GSM modem (1-port)
[ 9627.821029] usb 1-6: new high-speed USB device number 6 using ehci-pci
[ 9627.960827] usb 1-6: New USB device found, idVendor=12d1, idProduct=14fe
[ 9627.960837] usb 1-6: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 9627.960841] usb 1-6: Product: HUAWEI Mobile
[ 9627.960845] usb 1-6: Manufacturer: HUAWEI Technology
[ 9628.001523] scsi6 : usb-storage 1-6:1.0
[ 9628.001959] scsi7 : usb-storage 1-6:1.1
[ 9629.004721] scsi 6:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[ 9629.005135] scsi 7:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[ 9629.006329] sr2: scsi-1 drive
[ 9629.006589] sr 6:0:0:0: Attached scsi CD-ROM sr2
[ 9629.006856] sr 6:0:0:0: Attached scsi generic sg3 type 5
[ 9629.007310] sd 7:0:0:0: Attached scsi generic sg4 type 0
[ 9629.008958] sd 7:0:0:0: [sdb] Attached SCSI removable disk
[ 9630.928880] ISO 9660 Extensions: Microsoft Joliet Level 1
[ 9630.929406] ISOFS: changing to secondary root
[ 9631.118362] usb 1-6: USB disconnect, device number 6
[ 9631.447183] usb 1-6: new high-speed USB device number 7 using ehci-pci
[ 9631.561960] usb 1-6: New USB device found, idVendor=12d1, idProduct=1506
[ 9631.561970] usb 1-6: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 9631.561974] usb 1-6: Product: HUAWEI Mobile
[ 9631.561977] usb 1-6: Manufacturer: HUAWEI Technology
[ 9631.563982] option 1-6:1.0: GSM modem (1-port) converter detected
[ 9631.564173] usb 1-6: GSM modem (1-port) converter now attached to ttyUSB0
[ 9631.565960] usb 1-6: MAC-Address: 0c:5b:8f:27:9a:64
[ 9631.566377] cdc_ncm 1-6:1.1 wwan0: register 'cdc_ncm' at usb-0000:00:10.3-6, Mobile Broadband Network Device, 0c:5b:8f:27:9a:64
[ 9631.573044] scsi8 : usb-storage 1-6:1.2
[ 9631.578051] scsi9 : usb-storage 1-6:1.3
[ 9632.576859] scsi 8:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[ 9632.578598] sr2: scsi-1 drive
[ 9632.578863] sr 8:0:0:0: Attached scsi CD-ROM sr2
[ 9632.579120] sr 8:0:0:0: Attached scsi generic sg3 type 5
[ 9632.580856] scsi 9:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[ 9632.581425] sd 9:0:0:0: Attached scsi generic sg4 type 0
[ 9632.583123] sd 9:0:0:0: [sdb] Attached SCSI removable disk
[ 9634.943742] ISO 9660 Extensions: Microsoft Joliet Level 1
[ 9634.944270] ISOFS: changing to secondary root
Comment 1 Kasun Chathuranga 2013-08-22 13:48:20 EDT
Seems to be switching by usb_modeswitch is happening correctly.

Expected switching is

12d1:14fe -> 12d1:1506

and it is there.

Do you use a USB hub? I had this sort of problem when I do not plug directly in to my On Board USB port. Seeems to be Huawei E3276 takes lot of power.
Comment 2 Theodore Lee 2013-09-10 06:27:54 EDT
I'm running into a similar problem with a Huawei E355 (12d1:14fe -> 12d1:1c1e) on Fedora 19. The modem connects fine and the interface shows up, but NetworkManager doesn't seem to pick it up at all. Searching seems to suggest that this was a regression introduced a while ago.[1]

[1] http://www.linuxforums.org/forum/red-hat-fedora-linux/197662-fedora-17-huawei-3g-router-problems-after-yum-update.html
Comment 3 Theodore Lee 2013-09-10 06:28:52 EDT
Whoops, forgot to mention that I'm plugging in the modem directly, not using a hub.
Comment 4 Theodore Lee 2013-09-10 06:48:27 EDT
An additional point (apologies for the bugspam): most of the time I don't see the device listed under NM at all, but on rare occasions I do see it shown as a mobile broadband modem available to set up. I have yet to try this properly though.
Comment 5 Theodore Lee 2013-09-10 06:49:25 EDT
Created attachment 795946 [details]
modem-manager log after attempting (unsuccesfully) to connect the device
Comment 6 ojab 2013-11-06 13:47:36 EST
Same here on F19 & Bus 003 Device 008: ID 12d1:1506 Huawei Technologies Co., Ltd. Modem/Networkcard
Comment 7 Fedora End Of Life 2013-12-21 08:55:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Theodore Lee 2013-12-21 19:19:32 EST
This issue is still present on Fedora 20. I also encountered a kernel panic upon attempting to use my modem, although I have not checked to see if it is reproducible.
Comment 9 Joost Ringoot 2014-02-10 15:31:01 EST
I have the same issue since an update today from fedora 19 to fedora 20, with fedup. Everything went very smooth otherwise. I have a dual boot with ubuntu 13.10, there it still works. 
In Ubuntu I seem the same related kernelmodules.

[root@legolas ~]# lsmod | grep cdc
cdc_mbim               13176  0 
cdc_wdm                18864  1 cdc_mbim
cdc_ncm                19689  1 cdc_mbim
cdc_acm                28754  0 
usbnet                 41932  2 cdc_mbim,cdc_ncm
[root@legolas ~]#

In gnome there is no sign of the the presence of a mobile-data device.
Comment 10 Joost Ringoot 2014-02-10 15:55:37 EST
This is how it looks under ubuntu 13.10

root@legolas:~# lsmod | grep cdc
cdc_mbim               13176  0 
cdc_ncm                20024  1 cdc_mbim
usbnet                 39525  2 cdc_mbim,cdc_ncm
cdc_wdm                18919  1 cdc_mbim
cdc_acm                28754  4 
root@legolas:~#
Comment 11 Joost Ringoot 2014-02-10 15:58:22 EST
Created attachment 861551 [details]
how the network applet looks like in fedora 20
Comment 12 Joost Ringoot 2014-02-10 15:59:41 EST
Created attachment 861552 [details]
How the active Mobile data modem looks like under ubuntu 13.10 (Same machine)
Comment 13 Fedora End Of Life 2015-05-29 05:06:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 ojab 2015-05-30 14:09:27 EDT
Still an issue in Fedora 22 Workstation, please bump bug's Version (whoever has required rights).
Comment 15 jepp 2015-07-23 07:46:38 EDT
This modem (LTE USB 4G Huawei E3276) worked for me a month ago in fedora 20 (but could not get detected from start, had to manually remove and insert it every time). But recently updating to fedora 22, the modem is not detected by the network manager any more, but loads only as a usb-unit. (I can aswell use it with Ubuntu 12.04.)
Comment 16 Fedora Admin XMLRPC Client 2015-08-18 10:54:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Lubomir Rintel 2016-03-31 08:17:23 EDT
The E3276 support was added in MM 1.4.0's e684851698924e5b3872ac3adc93c2773ef910ee; i suppose this is fixed now.
Comment 18 Fedora Update System 2016-03-31 08:59:51 EDT
ModemManager-1.4.14-1.fc23 libmbim-1.12.4-2.fc23 libqmi-1.12.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 19 Fedora Update System 2016-04-01 11:23:49 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbba3bf922
Comment 20 Fedora Update System 2016-04-05 09:51:27 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-04-05 12:19:18 EDT
ModemManager-1.4.14-1.fc23, libmbim-1.12.4-2.fc23, libqmi-1.12.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.